<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
<!--   Создайте универальную функцию-конструктор товара, у которого будут такие свойства:
   - краткое название;
   - полное название;
   - описание
   - цена;
   (должна также сделать уникальный article для товара);

    А также методы:
     - расчет цены (аргумент - количество товаров, если больше 20 - тогда скидка на всю сумму - 15 процентов);
     - стоимость доставки (аргументы - адрес, дата, 1% от цены, если цена больше 2000 - доставка бесплатно);
     - печать инвойса (элемент разметки - куда добавить инвойс. Метод инвойса вызывает изнутри расчет цены + доставку - формирует инфу по заказу
     и выводит данные в определенный элемент страницы)
      -->



    <script>
        function Product(name, fullName, description, price){
            this.name = name;
            this.fullName = fullName;
            this.description = description;
            this.price = price;
            this.article = Math.round(Math.random() * 100000000);

        }

        Product.prototype.calc = function(quantity){
            let sum = quantity * this.price;
            let discount = sum * 0.85;
            return (quantity > 20) ? discount : sum;

        };

        const good = new Product('nokia', 'nokia111', "mobile phone", 1000);
        console.log(good);
        console.log(good.calc(30));
    </script>
</body>
</html>
